View Issue Details

IDProjectCategoryView StatusLast Update
0000824FreeCADFeaturepublic2012-09-16 15:32
Reporterpperisin Assigned Toyorik  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.13 
Summary0000824: Revolve icon suggestion
DescriptionIcon suggestion for revolve, to match current groove icon.
Additional Informationmodified yorik's groove icon
TagsNo tags attached.
FreeCAD Information

Activities

2012-09-06 08:16

 

PartDesign_Revolution.svg (Attachment missing)

normandc

2012-09-11 02:40

manager   ~0002374

Funny, I just had the exact same idea a few minutes ago. I was about to suggest it then I found this report. :-D

I agree, the revolution icon was fine when it was alone, but now it does not seem to relate to the groove icon.

Maybe the axis color should be the same brownish color as the solid's edge instead of red. It kind of clashes as red is the color for material removal.

It would be worth trying to offset the black rectangle from underneath the shape like for the Pad icon.

pperisin

2012-09-11 05:52

reporter   ~0002375

maybe black axis color.

It seems to me like light red color on pocket and groove shows material removal, and dark red shows sketch underneath. Pad and revolve have Black sketch underneath, so maybe axis should be black

you can try to offset rectangle - I was not successful - it looked bad every time I tried. Another idea would be to remake pad icon not to have offset.

I also had the idea of adding arrows to all 4 icon, that would point in direction extrusion is happening in. pad has arrow up, pocket arrow down, revolve and groove have arrow going in one side.

pperisin

2012-09-11 07:35

reporter   ~0002379

While we are on the subject for pad/pocket/revolve/groove, I must say that icon for "Leave Sketch" command (Sketch (or Part Design) >> Leave sketch) incredibly reminds me on pad command. Maybe it should be changed.

yorik

2012-09-16 15:32

administrator   ~0002399

Added in 56af6ed, with some minor adjustments...

Issue History

Date Modified Username Field Change
2012-09-06 08:16 pperisin New Issue
2012-09-06 08:16 pperisin File Added: PartDesign_Revolution.svg
2012-09-06 17:59 yorik Status new => assigned
2012-09-06 17:59 yorik Assigned To => yorik
2012-09-11 02:40 normandc Note Added: 0002374
2012-09-11 05:52 pperisin Note Added: 0002375
2012-09-11 07:35 pperisin Note Added: 0002379
2012-09-16 15:32 yorik Note Added: 0002399
2012-09-16 15:32 yorik Status assigned => closed
2012-09-16 15:32 yorik Resolution open => fixed
2012-09-16 15:32 yorik Fixed in Version => 0.13